from .DbManager import DbManager


class BTypeDAO:
    def __init__(self):
        self.__con = DbManager().getConnection()
        self.__cur = self.__con.cursor()

    def getBType(self):
        self.__cur.callproc("getBtype", (None, None, ))
        data = self.__cur.fetchall()
        return(data)
